<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:oaidc="http://www.openarchives.org/OAI/2.0/oai_dc/"
    xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:vdex="http://www.imsglobal.org/xsd/imsvdex_v1p0"
	xmlns:orioai="http://www.ori-oai.org/static/xsd/orioaivocab"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0">

	<xsl:output method="xml" indent="yes" encoding="utf-8" />

	<xsl:variable name="username"
		select="document('#{domainService.getCurrentUserName()}')" />

	<xsl:variable name="people_vcardsExpression">
		#{vocabularyService.getVocabulary("peopleLdapLocalProvider")}
	</xsl:variable>
	<xsl:variable name="people_vcards"
		select="document($people_vcardsExpression)" />
<!-- 
	<xsl:variable name="displayName"
		select="normalize-space($people_vcards//vdex:term[vdex:termIdentifier=$username]/vdex:caption/vdex:langstring)" />
-->
	<xsl:variable name="vcard" select="$people_vcards//vdex:term/vdex:metadata/orioai:value[contains(., concat('UID:', $username, '&#10;'))]" />

	<xsl:variable name="displayName" select="substring-before(substring-after($vcard, '&#x0a;N:'), '&#x0a;')"/>

	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()" />
		</xsl:copy>
	</xsl:template>


	<xsl:template
		match="dc:creator[normalize-space(.) = '']">

		<xsl:copy><xsl:value-of select="$displayName" /></xsl:copy>

	</xsl:template>

</xsl:stylesheet>
